<?php
namespace laravelLara\lskllc\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use laravelLara\lskllc\utils\PermissionsChecker;

class ManageAccessController extends Controller
{
     /**
     * @var PermissionsChecker
     */
    protected $permissions;

    /**
     * @param PermissionsChecker $checker
     */
    public function __construct(PermissionsChecker $checker)
    {
        $this->permissions = $checker;
    }

    public function index(){

        $permissions = $this->permissions->check(
            config('installer.requirements.permissions')
        );

        return view('Installation::installer.permissions', compact('permissions'));
    }
}